#
# spec file for package flowblade
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           flowblade
Version:        0.16.0
Release:        1.1
Summary:        Multitrack non-linear video editor
License:        GPL-3.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            https://code.google.com/p/flowblade/
Source:         %{name}-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  python-devel
Requires:       dbus-1-python
Requires:       ffmpeg
Requires:       frei0r-plugins >= 1.4
Requires:       ladspa
Requires:       ladspa-swh-plugins
Requires:       libcairomm-1_0-1
Requires:       libmlt6-modules
Requires:       librsvg-2-2
Requires:       python-cairo
Requires:       python-gnome
Requires:       python-gnomevfs
Requires:       python-gtk
Requires:       python-imaging
Requires:       python-mlt
Requires:       python-numpy
Requires:       python-xdg
Requires:       sox
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Flowblade is designed to provide a fast, precise and robust editing experience.

In Flowblade clips are usually automatically placed tightly after or between
clips when they are inserted on the timeline. Edits are fine tuned by trimming
in and out points of clips, or by cutting and deleting parts of clips.

Flowblade provides powerful tools to mix and filter video and audio.

%prep
%setup -q

sed -i 's|%{_datadir}/pyshared|%{python_sitelib}|' flowblade
sed -i "s|respaths.LOCALE_PATH|'%{_datadir}/locale'|g" Flowblade/translations.py

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/locale
mv %{buildroot}%{python_sitelib}/Flowblade/locale/*  %{buildroot}%{_datadir}/locale
find %{buildroot} -type f -name "*.po*" -delete -print

%fdupes -s %{buildroot}%{python_sitelib}

%find_lang Flowblade %{name}.lang

%post
%desktop_database_post

%postun
%desktop_database_postun

%files -f %{name}.lang
%defattr(0644,root,root)
%attr(0755,root,root) %{_bindir}/flowblade
%{_datadir}/applications/flowblade.desktop
%{_mandir}/man1/flowblade.1*
%{_datadir}/pixmaps/flowblade.png
%{_datadir}/mime/packages/flowblade.xml
%{python_sitelib}/Flowblade
%attr(0755,root,root) %{python_sitelib}/Flowblade/launch/flowbladebatch
%{python_sitelib}/flowblade-*.egg-info
%dir %{_libexecdir}/mime
%dir %{_libexecdir}/mime/packages
%{_libexecdir}/mime/packages/flowblade

%changelog
* Wed Mar  4 2015 avvissu@yandex.ru
- Initial release
